class ELBA_DATA extends Object
{
int Tip;	
int H;   //radyatör yüksekliği mm
double Km;  //denklem katsayısı
double n;   //denklem üssü
public ELBA_DATA(int Tipi,int Hi,double Kmi,double ni)
{
Tip=Tipi;
H=Hi;
Km=Kmi;
n=ni;
}
//L radyatör uzunluğu mm
//Toda  oda sıcaklığı derece C
//Tsugir  radyatör su giriş sıcaklığı derece C
//Tsucik  rdyatör su çıkış sıcaklığu
public double Q(int L,double Toda,double Tsugir, double Tsucik)
{ double Tavg=(Tsugir+Tsucik)/2.0;
  double dT=Tavg-Toda;
  double Q1=(double)(L/1000.0)*Km*Math.pow(dT,n);
  return Q1;
} 

}

